Bug 92060 - USB 2.0/scanner no longer works with kernel 2.4.20-13.7 on Red Hat 7.3 (but worked with 2.4.18-27.7.x)
USB 2.0/scanner no longer works with kernel 2.4.20-13.7 on Red Hat 7.3 (but w...
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-02 07:55 EDT by Paul Boddie
Modified: 2007-04-18 12:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-12 18:30:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg for 2.4.18-27.7.x (8.99 KB, text/plain)
2003-06-10 12:03 EDT, Paul Boddie
no flags Details
dmesg for 2.4.18-27.7.x (with scanner) (9.14 KB, text/plain)
2003-06-10 12:04 EDT, Paul Boddie
no flags Details
dmesg for 2.4.20-13.7 (with scanner) (6.25 KB, text/plain)
2003-06-10 12:05 EDT, Paul Boddie
no flags Details
dmesg for 2.4.20-13.7 (6.10 KB, text/plain)
2003-06-10 12:06 EDT, Paul Boddie
no flags Details
lsmod for 2.4.18-27.7.x (with scanner) (1.12 KB, text/plain)
2003-06-10 12:07 EDT, Paul Boddie
no flags Details
lsmod for 2.4.20-13.7 (with scanner) (725 bytes, text/plain)
2003-06-10 12:07 EDT, Paul Boddie
no flags Details
Common modules.conf for both 2.4.18-27-7.x and 2.4.20-13.7 (619 bytes, text/plain)
2003-06-10 12:10 EDT, Paul Boddie
no flags Details
dmesg for 2.4.20-18.7 (8.84 KB, text/plain)
2003-06-12 10:25 EDT, Paul Boddie
no flags Details
dmesg for 2.4.20-18.7 (with scanner) (8.84 KB, text/plain)
2003-06-12 10:26 EDT, Paul Boddie
no flags Details
lsmod for 2.4.20-18.7 (1.09 KB, text/plain)
2003-06-12 10:26 EDT, Paul Boddie
no flags Details
lsmod for 2.4.20-18.7 (with scanner) (1.09 KB, text/plain)
2003-06-12 10:27 EDT, Paul Boddie
no flags Details

  None (edit)
Description Paul Boddie 2003-06-02 07:55:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-GB; rv:1.3) Gecko/20030312

Description of problem:
I have an Adaptec USB2connect PCMCIA card which works well under the previous
kernel series for Red Hat 7.3 (ending with 2.4.18-27.7.x). No special changes
were needed aside from a hack to my /etc/init.d/pcmcia script to unload various
kernel modules before the PCMCIA subsystem is shutdown. (See
http://www.qbik.ch/usb/devices/showdev.php?id=1185 for details.)

However, the most recent kernel update (2.4.20-13.7) from up2date seems to be
shipped with kernel modules which don't work correctly. Upon booting, I still
have the usb-uhci module loaded, but when I attempt to load the kernel scanner
module, the scanner remains undetected, whereas under the 2.4.18 series various
other modules are automatically loaded (ehci-hcd seems to be the crucial one).

If I attempt to perform a hack in /etc/modules.conf which seems to be
recommended in certain circles...

  alias usb-controller ehci-hcd
  alias usb-controller1 usb-uhci

...the module causes various errors (which I don't have to hand, unfortunately)
and won't load. If I try to load ehci-hcd manually, the same errors occur.

I get the feeling that the new kernel and modules just don't detect my
USB2connect card any more, but they do detect the in-built USB ports that my
laptop has. My suspicion is that the scanner module merely highlights this
issue. I haven't tested my USB CD-RW drive with this new kernel, but I suspect
that similar problems may arise.

Version-Release number of selected component (if applicable):
kernel-2.4.20-13.7

How reproducible:
Always

Steps to Reproduce:
1. Boot the machine with USB2connect card plugged in.
2. With the scanner attached and plugged in, run "modprobe scanner".
3. Observe lack of suitable modules in "lsmod" listing.
4. Run XSane or use xscanimage - no devices are found.
    

Additional info:
I can always run 2.4.18-27.7.x since the various security fixes introduced in
2.4.20 do not really affect me. But it would be nice to see this resolved.
Comment 1 Alan Cox 2003-06-05 16:02:10 EDT
Please attach a copy of the errors - dmesg should have them logged - its really
important we have them to debug this
Comment 2 Paul Boddie 2003-06-10 12:03:10 EDT
Created attachment 92307 [details]
dmesg for 2.4.18-27.7.x

Kernel messages in the working case before enabling scanner.
Comment 3 Paul Boddie 2003-06-10 12:04:06 EDT
Created attachment 92308 [details]
dmesg for 2.4.18-27.7.x (with scanner)

Kernel messages in the working case after enabling scanner.
Comment 4 Paul Boddie 2003-06-10 12:05:28 EDT
Created attachment 92309 [details]
dmesg for 2.4.20-13.7 (with scanner)

Kernel messages in the non-working case after enabling scanner.
Comment 5 Paul Boddie 2003-06-10 12:06:10 EDT
Created attachment 92310 [details]
dmesg for 2.4.20-13.7

Kernel messages in the non-working case before enabling scanner.
Comment 6 Paul Boddie 2003-06-10 12:07:12 EDT
Created attachment 92311 [details]
lsmod for 2.4.18-27.7.x (with scanner)

Kernel modules in the working case after enabling scanner with "modprobe
scanner".
Comment 7 Paul Boddie 2003-06-10 12:07:46 EDT
Created attachment 92312 [details]
lsmod for 2.4.20-13.7 (with scanner)

Kernel modules in the non-working case after enabling scanner with "modprobe
scanner".
Comment 8 Paul Boddie 2003-06-10 12:10:09 EDT
Created attachment 92313 [details]
Common modules.conf for both 2.4.18-27-7.x and 2.4.20-13.7

Ignore the lirc_sir, irtty and ircomm-tty entries - they are for a customised
kernel which actually has Linux IR support. The kernels under discussion do
not.
Comment 9 Paul Boddie 2003-06-10 12:13:52 EDT
Sorry about the multiple attachments! My belief is that the Adaptec USB2connect
card just isn't recognised by the new kernel, since my Plextor USB CD-RW drive
doesn't get a device assigned to it - usually it is /dev/cdrom1, but with the
new kernel only the built-in "media bay" device is found (and assigned to
/dev/cdrom).

For your information, the USB2connect device is a Cardbus device which provides
a USB 2.0 interface. See the USB device list entry for more details:

http://www.qbik.ch/usb/devices/showdev.php?id=1185
Comment 10 Paul Boddie 2003-06-12 10:25:20 EDT
Created attachment 92357 [details]
dmesg for 2.4.20-18.7

Kernel messages for the working 2.4.20-18.7 configuration.
Comment 11 Paul Boddie 2003-06-12 10:26:06 EDT
Created attachment 92358 [details]
dmesg for 2.4.20-18.7 (with scanner)

Kernel messages for the working 2.4.20-18.7 configuration after scanner is
enabled.
Comment 12 Paul Boddie 2003-06-12 10:26:41 EDT
Created attachment 92359 [details]
lsmod for 2.4.20-18.7

Kernel module list for the working 2.4.20-18.7 configuration.
Comment 13 Paul Boddie 2003-06-12 10:27:22 EDT
Created attachment 92360 [details]
lsmod for 2.4.20-18.7 (with scanner)

Kernel module list for the working 2.4.20-18.7 configuration with scanner
enabled.
Comment 14 Paul Boddie 2003-06-12 10:29:16 EDT
I updated my kernel to 2.4.20-18.7 and the USB2connect issues have disappeared -
the hardware is recognised and my scanner and CD-RW drive now work with this new
kernel. Thank you Red Hat!
Comment 15 Alan Cox 2003-06-12 18:30:06 EDT
Glad to hear the good news. Don't know if we fixed it or community work did however.
Will close the bug

Note You need to log in before you can comment on or make changes to this bug.